+++
title = "about me"
path = "about_me"

[extra]
date = 2023-08-27
+++

# David Eugenio Perez Negron Rocha

**Location and Time:**  Morelia, Michoacan, Mexico CST (GMT/UTC -6 , NO DST).

**Emails:** [david@nethunters.xyz](mailto:david@nethunters.xyz), [daroperez_negron@esimez.mx](mailto:daroperez_negron@esimez.mx).

**Date of Birth:** 1988-02-03 (570906000)

**Blog:** [nethunters.xyz](https://nethunters.xyz)

----------------------------------

## Education

### National Polytechnic Institute (IPN)
> 2010-2015

Undergraduate as a Communications and Electronics Engineer with a specialty in Computing from the Superior School of Mechanical and Electrical Engineering (ESIME)

----------------------------------

## Courses and Bootcamps

### Solidity & Solidity Expert Bootcamps (Encode Club)
> 2023

A free, intensive, 8-week coding bootcamp to learn Solidity and blockchain from scratch + intensive 5-week coding bootcamp
to be a Solidity Expert.

### Open Source Mexico
> 2006

Computer Server Administration based on Debian GNU/Linux OS Course

### Electronic Processes and Capacitance Institute
> 2004-2005

Certified Computers Operator

----------------------------------

## Work Experience

### DECENTRALIZED CLIMATE FOUNDATION A.C.
> 2022-2023

Lead Blockchain Architect and Developer, Research and Developments in [Decentralized Autonomus Organizations](https://docs.decentralizedclimate.org/2023-04-06-DAOP0.html), Game Theory Models and UML Modeling for [DECA Protocol](https://docs.google.com/presentation/d/1H4V5X0X-9jnulwmmQBKk7PiStqKoPh_t_h7F0R3kLw0/edit#slide=id.p). Also managed social services students for further WEB3 development and DCF documentation.

### NEETSEC INTERNATIONAL INC.
> 2018-2022

Vice President and CTO, Blockchain Architect and Developer (smart contracts/DAPPs), tokenomics modeling, cybersecurity and general technologies behind the [DECA Token](www.deca.eco). Research and development on decentralized systems (IPFS, WEB3).

### National Polytechnic Institute and Energy Regulation Commission (IPN - CRE)
> 2017-2018

Data engineer (Hadoop, Hive, Jupyter), architecture modeler (Hardware, Debian, Xen, LVM, nginx, Azure) and developer (Python3, PANDAS, R) of the National Market Monitoring Unit. The source code is proprietary.

### National Polytechnic Institute and National Secretariat of Energy (IPN - SENER)
> 2016-2017

Data engineer (Hadoop, R), architecture modeler (Hardware, Debian, Xen, LVM, nginx) and developer (Python, jCharts, php5) of the National Market Monitoring Unit. The source code is proprietary.

### Center of Advanced Research and Studies of the IPN - CINVESTAV
> 2013-2015

Research Assistant in the Experimental Physics Area for Development of Thermoacoustic Engines for Cold Refrigeration that works on sound waves, under the guidance of  Ph.D. Feliciano Sánchez Sinencio and Ph.D. Daniel Stolik. Also developed a free software project named [FreeMonoCrom](https://github.com/P1R/freeMonoCrom.git).

### Grupo Lanware, Communications Solutions Enterprise
> 2009-2010

Support for Network Infrastructure, Configuration, and Network Operations Training.

----------------------------------

## General Knowledge and Skills
> A: Advanced

> I: Intermediate

### Networks and Communications

* Networks(A): OSI, TCP/IP, LAN and WAN Design with VLSM and Route Summarization.
* Routing(A): Cisco and Enterasys Routers Configuration, with OSPF v3, SNMP, Loopback, IPV4 & IPV6.
* Services and Protocols(A): FTP, HTTP, SSL/TLS, SSH,  SMTP, POP3, IMAP.
* Software Tools(A): Cisco Packet Tracer, GNS3, Wireshark, nmap and others.
* WEB3(A): IPFS, IPNS, DNSLink.

### Electronics

* Measurement(A): Oscilloscope operation, Signal Functions Generator operation, Multimeter operation and design.
* Microconotrles and devices (A): Semiconductor components, digital circuits, Microcontrollers, ESP32, PIC16, SMT32, ARM64.
* Software for Electronics Design and Testing (I): EAGLE, KiKAD, ALTIUM, GEDA.
* Power Electronics(I): Interfaces, Protections and high power devices.


### Systems Administration
* SysAdmin and user level(A): GNU/Linux (Arch, RedHat, Debian with 22 years of experience), Mac OS X, FreeBSD, OpenSolaris.
* Virtualization and containers(A): LXD-LXC, KVM, XEN, Docker.
* Databases (I): OrbitDB/MongoDB, postgreSQL, MySQL, liteSQL,and Hadoop/Hive,
* Services Management (A): apache, nginx, openssh, proftpd, MySQL, PHP5 and others.


### Software Development
* Programming languages (A): Solidity, Python3, ANSI C, Bash, PlantUML.
* Developmentlanguages (I): Typescript, Rust, C++, Matlab, HTML.
* Software Version Control: SVN (I), GIT(A).
* Software Management(A): Scrum, PlantUML


### Comunication Languages

* Spanish(A)
* English(A)
* Russian(I)

## Academic Projects

### Development of VoIP Software
Named NAGVOZ with a Glade Graphical Interface, associated with technologies such as Perl Language, NetCat and ALSA (Advanced Linux Sound Architecture). Third place in the Physics ESIME Awards (won while I was enrolled in third undergraduate semester).

### Implementation and Development of a Browser for searching books at The Science and Technology National Library (BNCT)
Team Development and Implementation of zKiosk Browser under the Modified Debian GNU/Linux OS that provides secure light terminal clients for searching books.

### Engineering Thesis Project
Real Time Sunlight Tracking System. With a distributed database, IoT API and real time measurement, plotting voltage vs time  in a  webpage developed with html5+javascript. The electronic architectures are STM32 ARM and Raspberry PI. Helpful in modeling and analysing Solar behavior (https://gitlab.com/p1r0/TESIS-pi)


## FOSS Projects

| Name | Description |
|:-----:|:-----------:|
| [DECA Smart Contract (Audited by Quanstamp)](https://gitlab.com/deca-currency/dcc) | Decentralized Carbon Credits in an ERC20 by neetsec. |
| [Carbon Credits Decentralized Backlog](https://gitlab.com/deca-currency/carboncreditsbacklog) | DECA's Carbon Credits OrbitDB Code and configs, everything you need for setting up a node. |
| [Simple Flask API with SSL support](https://gitlab.com/p1r0/sflaskapi) | simple REST flask API, integrates CORS ( dummy data ) with Example clients (Javascript, python3, others.) |
| [DECA Price Mechanism](https://gitlab.com/deca-currency/price-mechanism) | A Jupyter Semi-Stable Token Modeling and Research paper in Lyx. |

